Get Task
curl --request GET \
--url https://api.example.com/api/data-readiness/workflows/{configuration_id}/runs/{run_id}/tasks/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/data-readiness/workflows/{configuration_id}/runs/{run_id}/tasks/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/data-readiness/workflows/{configuration_id}/runs/{run_id}/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completed_at": "2024-01-15T10:31:00Z",
"duration_seconds": 60.5,
"id": "123e4567-e89b-12d3-a456-426614174003",
"input": {
"column_name": "email"
},
"name": "detect_pii",
"output": {
"confidence": 0.95,
"pii_detected": true
},
"run_id": "123e4567-e89b-12d3-a456-426614174002",
"started_at": "2024-01-15T10:30:00Z",
"status": "completed"
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}Workflows
Get Task
Get detailed information about a specific task.
GET
/
api
/
data-readiness
/
workflows
/
{configuration_id}
/
runs
/
{run_id}
/
tasks
/
{task_id}
Get Task
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.
Path Parameters
Configuration ID
Run ID
Task ID
Response
Successful Response
Full task information for detail responses.
Inherits common fields from TaskBaseFields.
Unique task identifier
Example:
"123e4567-e89b-12d3-a456-426614174003"
Workflow run ID
Example:
"123e4567-e89b-12d3-a456-426614174002"
Task name
Example:
"detect_pii"
Task status
Example:
"completed"
Task start timestamp (ISO 8601)
Example:
"2024-01-15T10:30:00Z"
Task completion timestamp (ISO 8601)
Example:
"2024-01-15T10:31:00Z"
Task duration in seconds
Example:
60.5
Task input data
Example:
{ "column_name": "email" }
Task output data
Example:
{ "confidence": 0.95, "pii_detected": true }
Was this page helpful?

